#!/usr/bin/env bash

##----------------------------------------------------------------------------
## Author: Ashish Jabble
## Copyright (c) 2022 Dianomic Systems Inc.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##----------------------------------------------------------------------------

set -e

PLUGIN_NAME="spinnaker"

echo "Installing extra dependencies for ${PLUGIN_NAME} plugin..."
echo /opt/spinnaker/lib >/tmp/libspinnaker.conf
cp /tmp/libspinnaker.conf /etc/ld.so.conf.d/
ldconfig
rm -rf /tmp/libspinnaker.conf
echo "Extra dependencies installed successfully for ${PLUGIN_NAME} plugin!"
